Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.io
Class GraphXMLSource

    java.lang.Object
      de.grogra.pf.io.FilterSourceBase
          de.grogra.pf.io.SAXSourceBase
              de.grogra.pf.io.GraphXMLSource

All Implemented Interfaces:
  FilterSource, SAXSource, RegistryContext

    public class GraphXMLSource

extends SAXSourceBase

Nested Class Summary

Nested classes/interfaces inherited from interface de.grogra.pf.io.FilterSource
`FilterSource.MetaDataKey<V>`

Field Summary
`static MimeType` | `MIME_TYPE`

Fields inherited from class de.grogra.pf.io.SAXSourceBase
`provideNamespaces, providePrefixes`

Fields inherited from interface de.grogra.pf.io.SAXSource
`NAMESPACE_PREFIXES, NAMESPACES`

Fields inherited from interface de.grogra.pf.io.FilterSource
`AUTO_PROGRESS, DESTINATION_FILE, DESTINATION_URL`

Constructor Summary
`GraphXMLSource(GraphManager graph, Registry reg, PersistenceOutputListener ol)`
`GraphXMLSource(GraphManager graph, Registry reg, PersistenceOutputListener ol, boolean writeOnlyReferences)`
`GraphXMLSource(GraphManager graph, Registry reg, PersistenceOutputListener ol, Node root)`

Method Summary
`java.lang.String` | `getSystemId()` Returns a system id which identifies this source.
`void` | `parse(org.xml.sax.ContentHandler ch, org.xml.sax.ErrorHandler eh, org.xml.sax.ext.LexicalHandler lh, org.xml.sax.DTDHandler dh, org.xml.sax.EntityResolver er)`

Methods inherited from class de.grogra.pf.io.SAXSourceBase
`getFeature, setFeature`

Methods inherited from class de.grogra.pf.io.FilterSourceBase
`getFilter, getFlavor, getMetaData, getRegistry, initProgressMonitor, setMetaData, setProgress, setProgress0, setProgressImpl, toString, useAutoProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.pf.io.FilterSource
`getFilter, getFlavor, getMetaData, initProgressMonitor, setMetaData, setProgress`

Methods inherited from interface de.grogra.pf.registry.RegistryContext
`getRegistry`

Field Detail

### MIME_TYPE

    public static final MimeType MIME_TYPE

Constructor Detail

### GraphXMLSource

    public GraphXMLSource(GraphManager graph,
                          Registry reg,
                          PersistenceOutputListener ol)

### GraphXMLSource

    public GraphXMLSource(GraphManager graph,
                          Registry reg,
                          PersistenceOutputListener ol,
                          boolean writeOnlyReferences)

### GraphXMLSource

    public GraphXMLSource(GraphManager graph,
                          Registry reg,
                          PersistenceOutputListener ol,
                          Node root)

Method Detail

### getSystemId

    public java.lang.String getSystemId()

  Description copied from interface: `FilterSource`
  Returns a system id which identifies this source.

  Returns:
    system id

### parse

    public void parse(org.xml.sax.ContentHandler ch,
                      org.xml.sax.ErrorHandler eh,
                      org.xml.sax.ext.LexicalHandler lh,
                      org.xml.sax.DTDHandler dh,
                      org.xml.sax.EntityResolver er)
               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD